Debian Bug report logs - #582228
texmacs: Pdf export generates PS instead of PDF

version graph

Package: texmacs; Maintainer for texmacs is Atsuhito KOHDA <kohda@debian.org>; Source for texmacs is src:texmacs.

Reported by: Giorgio Pioda <gfwp@ticino.com>

Date: Wed, 19 May 2010 09:09:01 UTC

Severity: important

Tags: patch, sid, squeeze, wheezy

Found in version texmacs/1:1.0.7.4-2

Fixed in version texmacs/1:1.0.7.10-1

Done: Atsuhito KOHDA <kohda@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Atsuhito KOHDA <kohda@debian.org>:
Bug#582228; Package texmacs. (Wed, 19 May 2010 09:09:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Giorgio Pioda <gfwp@ticino.com>:
New Bug report received and forwarded. Copy sent to Atsuhito KOHDA <kohda@debian.org>. (Wed, 19 May 2010 09:09:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Giorgio Pioda <gfwp@ticino.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: texmacs: Pdf export generates PS instead of PDF
Date: Wed, 19 May 2010 11:01:10 +0200
Package: texmacs
Version: 1:1.0.7.4-2
Severity: important
Tags: squeeze sid


Hi,

since some days the generated pdf are broken. Investigating
I've found that the files are called pdf but actually are postscripts.

cheers

gfwp

-- System Information:
Debian Release: squeeze/sid
  APT prefers testing
  APT policy: (990, 'testing'), (300, 'unstable')
Architecture: i386 (i686)

Kernel: Linux 2.6.32-3-686 (SMP w/2 CPU cores)
Locale: LANG=it_CH.UTF-8, LC_CTYPE=it_CH.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages texmacs depends on:
ii  findutils               4.4.2-1          utilities for finding files--find,
ii  ghostscript-x           8.71~dfsg-4      The GPL Ghostscript PostScript/PDF
ii  groff                   1.20.1-9         GNU troff text-formatting system
ii  guile-1.8-libs          1.8.7+1-3        Main Guile libraries
ii  libc6                   2.10.2-6         Embedded GNU C Library: Shared lib
ii  libfreetype6            2.3.11-1         FreeType 2 font engine, shared lib
ii  libgcc1                 1:4.4.4-1        GCC support library
ii  libgmp3c2               2:4.3.2+dfsg-1   Multiprecision arithmetic library
ii  libltdl7                2.2.6b-2         A system independent dlopen wrappe
ii  libstdc++6              4.4.4-1          The GNU Standard C++ Library v3
ii  libx11-6                2:1.3.3-3        X11 client-side library
ii  libxext6                2:1.1.1-3        X11 miscellaneous extension librar
ii  mlocate                 0.22.2-1         quickly find files on the filesyst
ii  texlive-base            2009-9           TeX Live: Essential programs and f
ii  texlive-extra-utils     2009-7           TeX Live: TeX auxiliary programs
ii  texlive-font-utils      2009-7           TeX Live: TeX and Outline font uti
ii  texlive-math-extra      2009-7           TeX Live: Advanced math typesettin
ii  texmacs-common          1:1.0.7.4-2      WYSIWYG mathematical text editor u
ii  x11-apps                7.5+5            X applications
ii  x11-session-utils       7.5+1            X session utilities
ii  x11-utils               7.5+3            X11 utilities
ii  zlib1g                  1:1.2.3.4.dfsg-3 compression library - runtime

Versions of packages texmacs recommends:
ii  imagemagick         7:6.6.0.4-2          image manipulation programs
ii  ispell              3.1.20.0-7           International Ispell (an interacti
ii  libjpeg-progs       8a-1                 Programs for manipulating JPEG fil
ii  librsvg2-bin        2.26.3-1             command-line and graphical viewers
ii  libtiff-tools       3.9.2-3+b1           TIFF manipulation and conversion t
ii  netpbm              2:10.0-12.1+squeeze1 Graphics conversion tools between 
ii  texmacs-extra-fonts 0.2                  extra fonts for the mathematical t
ii  xfig                1:3.2.5.b-1          Facility for Interactive Generatio

Versions of packages texmacs suggests:
ii  python                        2.5.4-9    An interactive high-level object-o
ii  wget                          1.12-2     retrieves files from the web

-- no debconf information




Information forwarded to debian-bugs-dist@lists.debian.org, Atsuhito KOHDA <kohda@debian.org>:
Bug#582228; Package texmacs. (Wed, 19 May 2010 10:33:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Giorgio Pioda <gfwp@ticino.com>:
Extra info received and forwarded to list. Copy sent to Atsuhito KOHDA <kohda@debian.org>. (Wed, 19 May 2010 10:33:03 GMT) Full text and rfc822 format available.

Message #10 received at 582228@bugs.debian.org (full text, mbox):

From: Giorgio Pioda <gfwp@ticino.com>
To: 582228@bugs.debian.org
Subject: problably a wrong ghostscript function is lauched
Date: Wed, 19 May 2010 12:31:30 +0200
Hi,

again me,

I've checked the manual conversion of the texmacs generated .ps into .pdf
with ps2pdf14 and it works like a charm.

Probably texmacs pdf conversion function points just towards the wrong
ghostscript function.

cheers

gfwp




Information forwarded to debian-bugs-dist@lists.debian.org, Atsuhito KOHDA <kohda@debian.org>:
Bug#582228; Package texmacs. (Mon, 08 Nov 2010 11:06:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julien PUYDT <julien.puydt@laposte.net>:
Extra info received and forwarded to list. Copy sent to Atsuhito KOHDA <kohda@debian.org>. (Mon, 08 Nov 2010 11:06:03 GMT) Full text and rfc822 format available.

Message #15 received at 582228@bugs.debian.org (full text, mbox):

From: Julien PUYDT <julien.puydt@laposte.net>
To: 582228@bugs.debian.org
Subject: This is already reported upstream
Date: Mon, 08 Nov 2010 12:06:22 +0100
Hi,

I already reported that bug upstream, and found a place in the code 
where the goof up probably is ; see :

https://savannah.gnu.org/bugs/?30120

Unfortunately, no developper seemed to have a look yet.

Hope this helps,




Information forwarded to debian-bugs-dist@lists.debian.org, Atsuhito KOHDA <kohda@debian.org>:
Bug#582228; Package texmacs. (Sun, 14 Nov 2010 12:15:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Atsuhito Kohda <kohda@pm.tokushima-u.ac.jp>:
Extra info received and forwarded to list. Copy sent to Atsuhito KOHDA <kohda@debian.org>. (Sun, 14 Nov 2010 12:15:03 GMT) Full text and rfc822 format available.

Message #20 received at 582228@bugs.debian.org (full text, mbox):

From: Atsuhito Kohda <kohda@pm.tokushima-u.ac.jp>
To: julien.puydt@laposte.net, gfwp@ticino.com, 582228@bugs.debian.org
Subject: Re: Bug#582228: This is already reported upstream
Date: Sun, 14 Nov 2010 20:41:37 +0900 (JST)
Hi Julien and Giorgio, sorry for delay.

On Mon, 08 Nov 2010 12:06:22 +0100, Julien PUYDT wrote:

> I already reported that bug upstream, and found a place in the code
> where the goof up probably is ; see :
> 
> https://savannah.gnu.org/bugs/?30120
> 
> Unfortunately, no developper seemed to have a look yet.
> 
> Hope this helps,

Thanks for your bug report and forwading it to the upstream.

I confirmed the bug even with the latest texmacs 1.0.7.7
(recently uploaded to unstable).

I might not respond so quickly but I don't forget to pay my 
attention to this report.

Thanks again for your contribution.

Regards,				2010-11-14(Sun)

-- 
 Debian Developer - much more I18N of Debian
 Atsuhito Kohda <kohda AT debian.org>
 Department of Math., Univ. of Tokushima




Added tag(s) wheezy. Request was from Kurt Roeckx <kurt@roeckx.be> to control@bugs.debian.org. (Wed, 16 Feb 2011 19:04:10 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Atsuhito KOHDA <kohda@debian.org>:
Bug#582228; Package texmacs. (Mon, 14 Mar 2011 10:45:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Eshat Cakar <info@eshat.de>:
Extra info received and forwarded to list. Copy sent to Atsuhito KOHDA <kohda@debian.org>. (Mon, 14 Mar 2011 10:45:03 GMT) Full text and rfc822 format available.

Message #27 received at 582228@bugs.debian.org (full text, mbox):

From: Eshat Cakar <info@eshat.de>
To: 582228@bugs.debian.org
Subject: gs to dependencies
Date: Mon, 14 Mar 2011 11:33:09 +0100
[Message part 1 (text/plain, inline)]
tags 582228 patch
thanks

Adding gs to build-depends fixed the issue here.
You can see on
https://buildd.debian.org/fetch.cgi?pkg=texmacs;ver=1%3A1.0.7.9-1;arch=amd64;stamp=1296026631
that:

checking for gs... no
disabling ghostscript support

Best regards

-- 
eshat cakar
web: www.eshat.de                                gpg-id: 799B 95D5
gpg-fingerprint: D59E 3B77 8662 D221 0900 D758 9D0F C2C1 799B 95D5
[signature.asc (application/pgp-signature, inline)]

Added tag(s) patch. Request was from Eshat Cakar <info@eshat.de> to control@bugs.debian.org. (Mon, 14 Mar 2011 13:39:02 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Atsuhito KOHDA <kohda@debian.org>:
Bug#582228; Package texmacs. (Mon, 14 Mar 2011 23:15:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Atsuhito Kohda <kohda@pm.tokushima-u.ac.jp>:
Extra info received and forwarded to list. Copy sent to Atsuhito KOHDA <kohda@debian.org>. (Mon, 14 Mar 2011 23:15:03 GMT) Full text and rfc822 format available.

Message #34 received at 582228@bugs.debian.org (full text, mbox):

From: Atsuhito Kohda <kohda@pm.tokushima-u.ac.jp>
To: info@eshat.de, 582228@bugs.debian.org
Cc: kohda@pm.tokushima-u.ac.jp
Subject: Re: Bug#582228: gs to dependencies
Date: Tue, 15 Mar 2011 07:51:56 +0900 (JST)
Hi Eshat,

On Mon, 14 Mar 2011 11:33:09 +0100, Eshat Cakar wrote:

> Adding gs to build-depends fixed the issue here.
> You can see on
> https://buildd.debian.org/fetch.cgi?pkg=texmacs;ver=1%3A1.0.7.9-1;arch=amd64;stamp=1296026631
> that:
> 
> checking for gs... no
> disabling ghostscript support

Thanks for your info.  I'll check your patch and will
upload a fixed package later.

Best regards,			2011-3-15(Tue)

-- 
 Debian Developer - much more I18N of Debian
 Atsuhito Kohda <kohda AT debian.org>
 Department of Math., Univ. of Tokushima




Reply sent to Atsuhito KOHDA <kohda@debian.org>:
You have taken responsibility. (Mon, 04 Apr 2011 06:36:07 GMT) Full text and rfc822 format available.

Notification sent to Giorgio Pioda <gfwp@ticino.com>:
Bug acknowledged by developer. (Mon, 04 Apr 2011 06:36:07 GMT) Full text and rfc822 format available.

Message #39 received at 582228-close@bugs.debian.org (full text, mbox):

From: Atsuhito KOHDA <kohda@debian.org>
To: 582228-close@bugs.debian.org
Subject: Bug#582228: fixed in texmacs 1:1.0.7.10-1
Date: Mon, 04 Apr 2011 06:32:34 +0000
Source: texmacs
Source-Version: 1:1.0.7.10-1

We believe that the bug you reported is fixed in the latest version of
texmacs, which is due to be installed in the Debian FTP archive:

texmacs-common_1.0.7.10-1_all.deb
  to main/t/texmacs/texmacs-common_1.0.7.10-1_all.deb
texmacs_1.0.7.10-1.diff.gz
  to main/t/texmacs/texmacs_1.0.7.10-1.diff.gz
texmacs_1.0.7.10-1.dsc
  to main/t/texmacs/texmacs_1.0.7.10-1.dsc
texmacs_1.0.7.10-1_i386.deb
  to main/t/texmacs/texmacs_1.0.7.10-1_i386.deb
texmacs_1.0.7.10.orig.tar.gz
  to main/t/texmacs/texmacs_1.0.7.10.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 582228@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Atsuhito KOHDA <kohda@debian.org> (supplier of updated texmacs package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Mon, 04 Apr 2011 13:58:09 +0900
Source: texmacs
Binary: texmacs texmacs-common
Architecture: source all i386
Version: 1:1.0.7.10-1
Distribution: unstable
Urgency: low
Maintainer: Atsuhito KOHDA <kohda@debian.org>
Changed-By: Atsuhito KOHDA <kohda@debian.org>
Description: 
 texmacs    - WYSIWYG mathematical text editor using TeX fonts
 texmacs-common - WYSIWYG mathematical text editor using TeX fonts
Closes: 582228
Changes: 
 texmacs (1:1.0.7.10-1) unstable; urgency=low
 .
   * New Upstream Release.
   * Added gostscript to Build-Depends.  (Closes: #582228)
Checksums-Sha1: 
 a5960a75f43645dc5e5aa1057dc62c4976490a2d 1322 texmacs_1.0.7.10-1.dsc
 12491496e68b62aa07369748770771a8c2378129 6224318 texmacs_1.0.7.10.orig.tar.gz
 4e3ef0bfd9a3ad26db6e81519b7ba8ff6bdb0e14 32646 texmacs_1.0.7.10-1.diff.gz
 f1cb2bccd0f2889457d988aee4130ecab7e6b3d3 4095422 texmacs-common_1.0.7.10-1_all.deb
 cacb5b744b23e1af7f5a6c95fecde35e03cf74b8 1976060 texmacs_1.0.7.10-1_i386.deb
Checksums-Sha256: 
 afb936f6b00c018bc8b14e0478389b852ae63c0bb730c8027452064696619a1b 1322 texmacs_1.0.7.10-1.dsc
 7616c5ccf3f5b9fee889559925bbce6ade0103c6032fe29def2497733255f809 6224318 texmacs_1.0.7.10.orig.tar.gz
 37f6c153268d812541cdea83db74b6ffacf5bff87bd43f9f68932970c8036e1e 32646 texmacs_1.0.7.10-1.diff.gz
 f8115469a5a35c80294736d8ca96b9be5ba5f9551a2985b85acebe205274209d 4095422 texmacs-common_1.0.7.10-1_all.deb
 595933d5c7b845a6fe18e2f81a682b45f681767dac0f415dd4271c4434bc89f3 1976060 texmacs_1.0.7.10-1_i386.deb
Files: 
 070a6373b9efdca91535a2e07d6372cc 1322 editors optional texmacs_1.0.7.10-1.dsc
 ad1ba010be2d7149f25be43178728bbf 6224318 editors optional texmacs_1.0.7.10.orig.tar.gz
 4f89873a00cdf769bb7324dfcf538dd5 32646 editors optional texmacs_1.0.7.10-1.diff.gz
 bead16c4a0a05317f488fb3143159afd 4095422 editors optional texmacs-common_1.0.7.10-1_all.deb
 9047bddf5a2f57d3d28557abf2b6e55f 1976060 editors optional texmacs_1.0.7.10-1_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iEYEARECAAYFAk2ZYSQACgkQ1IXdL1v6kOyuGQCcDFQBHpMCR+OozLiN6SnBb2kM
brIAnj/9ScxFHGP/iL+ZrSk2tRW1NzS0
=3r7C
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 17 May 2011 07:42:39 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 12:59:41 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.